#
# spec file for package foomatic-filters (Version 3.0.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  perl
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         foomatic-filters
%define cvsdate 20030825
License:      GPL
Group:        Hardware/Printing
Requires:     perl
Autoreqprov:  on
Version:      3.0.0
Release:      101
Source0:      %{name}-%{version}.%{cvsdate}.tar.bz2
Patch0:       %{name}-%{version}-exec.patch
URL:          http://www.linuxprinting.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Filter scripts used by printer spoolers
#PreReq:       %insserv_prereq %fillup_prereq

%description
Filter scripts used by the printer spoolers to convert the incoming
PostScript data into the printer's native format using a printer/driver
specific, but spooler-independent PPD file.



Authors:
--------
    Till Kamppeter <till.kamppeter@gmx.net>
    Grant Taylor  <gtaylor@linuxprinting.org>

%prep
%setup -n foomatic-filters
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./make_configure
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make \
	PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT \
	install

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%dir %{_sysconfdir}/foomatic
%config %{_sysconfdir}/foomatic/filter.conf
%{_prefix}/bin/foomatic-rip
%{_prefix}/bin/foomatic-gswrapper
%dir /usr/%_lib/cups
%dir /usr/%_lib/cups/filter
/usr/%_lib/cups/filter/foomatic-rip
%doc %{_mandir}/man1/foomatic-*
%doc COPYING ChangeLog README TODO USAGE

%changelog -n foomatic-filters
* Mon Aug 30 2004 - kssingvo@suse.de
- additional fixes for security problem in foomatic-rip, CAN-2004-0801
  (bugzilla#44233)
* Thu Aug 26 2004 - kssingvo@suse.de
- fixed a security problem in foomatic-rip CAN-2004-0801 (bugzilla#44233)
* Mon Aug 25 2003 - kssingvo@suse.de
- updated to 2003-08-21 version (fix for PS code insertion)
* Mon Jul 28 2003 - kssingvo@suse.de
- fixed problem in version name (removed %%cvsdate) - thx meissner
* Tue Jul 15 2003 - meissner@suse.de
- lib64 fixes.
* Fri Jul 04 2003 - kssingvo@suse.de
- It's coolo's fault: cannot add cups related link to cups package. :(
  it's now in this package (ugly and hopefully temporary solution)
* Fri Jul 04 2003 - ro@suse.de
- added directory to filelist /etc/foomatic
* Fri Jul 04 2003 - kssingvo@suse.de
- initial version
